## NAME

CURLOPT_HTTP_CONTENT_DECODING - enable/disable HTTP content decoding

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTP_CONTENT_DECODING,
                              long enabled);

## DESCRIPTION

Pass a long to tell libcurl how to act on content decoding. If set to zero, content decoding will be disabled. If set to 1 it is enabled. Libcurl has no default content decoding but requires you to use CURLOPT_ACCEPT_ENCODING for that.

## DEFAULT

1

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.16.2

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_STDERR, CURLOPT_DEBUGFUNCTION, CURLOPT_ACCEPT_ENCODING

This HTML page was made with roffit.